Package: org.gradle.api.plugins.quality

## [Groovy] Class CheckstyleExtension

- org.gradle.api.plugins.quality.CheckstyleExtension

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `TextResource` | `config` The Checkstyle configuration to use.
    `Map<String, Object>` | `configProperties` The properties available for use in the configuration file.
    `boolean` | `showViolations` Whether or not rule violations are to be displayed on the console.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CheckstyleExtension (Project project)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `getConfigFile()` The Checkstyle configuration file to use.
    `void` | `setConfigFile(File configFile)` The Checkstyle configuration file to use.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### @Incubating TextResource config

      The Checkstyle configuration to use. Replaces the `configFile` property.

      Since:
        2.2

    - #### Map<String, Object> configProperties

      The properties available for use in the configuration file. These are substituted into the configuration file.

    - #### boolean showViolations

      Whether or not rule violations are to be displayed on the console. Defaults to `true`. Example: showViolations = false

  - ### Constructor Detail

    - #### CheckstyleExtension(Project project)

  - ### Method Detail

    - #### File getConfigFile()

      The Checkstyle configuration file to use.

    - #### void setConfigFile(File configFile)

      The Checkstyle configuration file to use.